curl --request PATCH \
--url https://api.dimedove.com/v1/apps/{app_id}/conversations/{conversation_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "<string>"
}
'import requests
url = "https://api.dimedove.com/v1/apps/{app_id}/conversations/{conversation_id}"
payload = { "title": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({title: '<string>'})
};
fetch('https://api.dimedove.com/v1/apps/{app_id}/conversations/{conversation_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"created_at": 123,
"object": "conversation",
"external_user_id": "<string>",
"title": "<string>",
"generated_title": {
"en-ca": "<generated title in English>",
"fr-ca": "<generated title in French>"
},
"metadata": {}
}{
"error": {
"message": "<string>",
"type": "<string>",
"param": "<string>",
"code": "<string>"
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"param": "<string>",
"code": "<string>"
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"param": "<string>",
"code": "<string>"
}
}Update conversation
Updates the custom title of a conversation.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The unique identifier of the app.
The unique identifier of the conversation.
Body
The new custom title for the conversation. Set to null to clear the custom title.
Response
OK
Unique identifier for the conversation.
Unix timestamp (in seconds) of when the conversation was created.
The object type. Always 'conversation'.
The external user identifier associated with this conversation, if one was provided at creation.
The custom title set for this conversation, if any.
AI-generated conversation title in supported locales. Keys are locale codes (e.g. 'en-ca', 'fr-ca').
Show child attributes
Show child attributes
{
"en-ca": "<generated title in English>",
"fr-ca": "<generated title in French>"
}
The latest metadata snapshot associated with this conversation, if any has been provided.

